<header>
		<div class="col-lg-60 mobile-san">
			<span class="icon-menu" id="menu_mobile"></span>
		</div>
		<div class="col-lg-60 main-block mobile-menu-block">
			<div class="container for_head">
				<div class="col-lg-11 col-xs-60 text-right mobile_menu">
					<ul class="menu-ul">
						<li>
							<a href="/">Home</a>
						</li>
						<li>
							<a href="#" id="products_trigger">Products</a>
						</li>
					</ul>
				</div>
				<div class="col-lg-14 col-xs-60 text-left mobile_menu">
					<?php
						$args = array(
							'container'				=> 'ul',
							'container_class'		=> 'menu-ul',
							'menu_class'			=> 'menu-ul',
							'depth'					=> 1,
							'menu'					=>'Main Menu'
						);
					?>
						<?php wp_nav_menu( $args ); ?>

					</ul>
				</div>
				<div class="col-lg-10 hidden-xs hidden-md hidden-sm text-center logo-block">
					<a href="/" class="col-lg-60">
						<img src="<?php echo cz( 'tp_logo_img' ) ?>">
					</a>
				</div>
				<div class="col-lg-20 col-xs-60 text-center mobile_menu">
					<?php
						$args = array(
							'container'				=> 'ul',
							'container_class'		=> 'menu-ul',
							'menu_class'			=> 'menu-ul',
							'depth'					=> 1,
							'menu'					=>'Second Menu'
						);
					?>
					<?php wp_nav_menu( $args ); ?>
				</div>
				<div class="col-lg-5 col-sm-4 col-md-4 col-xs-60 text-center mobile_menu">
					<span class="icon-search" id="top-search"></span>
				</div>
			</div>
		</div>
		<div class="col-lg-60 search-block text-center" style="display:none;">
			<form method="GET" action="<?php echo esc_url( home_url( '/' ) ) ?>" class="search">
				<input type="text" id="s" value="" name="s" class="search-input"
				       placeholder="<?php _e( "Search products and services", 'alpha' ) ?>" required>
				<button type="submit" class="search-btn icon-search"></button>
			</form>
		</div>
		<div class="col-lg-60" id="cat_block" style="display: none;">
			<?php
$title = is_post_type_archive() ? __( 'All products', 'alpha' ) : adstm_single_term();

function get_all_categories() {

$alphabet = array();
	$terms = get_terms( 'product_cat' );

	if ( count( $terms ) ) {

		$alphabet = array();

		foreach ( $terms as $term ) {
			$first_letter                = mb_substr( strtoupper( $term->name ), 0, 1 );
			$alphabet[ $first_letter ][] = array(
				'link'  => get_term_link( $term, 'product_cat' ),
				'name'  => $term->name,
				'count' => $term->count,
				'slug'  => $term->slug,
				'id'    => $term->term_taxonomy_id,
			);
		}

		return $alphabet;

	}
return $alphabet;
}

$categories_by_alphabet = get_all_categories();
?>

<div class="line">
	<div class="container">
			<div class="col-lg-60 letters">
				<div class="all-products-by-alphabet">

					<?php

					if ( count( $categories_by_alphabet ) ) {

						foreach ( $categories_by_alphabet as $letter => $cats ) { ?>

							<div class="item" data-link="#category-<?php echo $letter; ?>">
                                    <span>
                                        <?php echo $letter; ?>
                                    </span>
							</div>

						<?php }

					} ?>

				</div>
			</div>
			<div class="line all-products-lists" style="display:none;">
				<div class="col-lg-60">
				
					<?php
				
					if ( count( $categories_by_alphabet ) ) {
				
						$alphabet = $categories_by_alphabet;
				
						$i = -1;
				
						foreach ( $alphabet as $letter => $cats ) {
							$i ++; ?>
				
							<div class="products-list" id="category-<?php echo $letter; ?>">
				
				
									<?php if ( isset( $cats ) ) {
				
										foreach ( $cats as $key => $value ) { ?>
				
											<div class="col-sm-20">
												<a href="<?php echo $value['link']; ?>" class="products-list-item">
													<span><?php echo $value['name']; ?></span> (<?php echo $value['count']; ?>)
												</a>
											</div>
				
										<?php } // End Foreach ?>
				
									<?php } // End if ?>
				
							</div>
				
						<?php } // End foreach($alphabet as $letter => $cats)
				
					} // End if( count($categories_by_alphabet) )
				
					?>
				
				</div>
			</div>
	</div>
</div>




		</div>
	</header>
<div class="overlay" style="display: none;"></div>