
jQuery(function($) {
	
	$("#products_trigger").click(function(event) {
		event.preventDefault();
		$("#cat_block").toggle();
		$(".overlay").toggle();
	});
	$("#menu_mobile").click(function(event) {
		event.preventDefault();
		$(".mobile-menu-block").toggle();

	});
	$("#top-search").click(function(event) {
		event.preventDefault();
		$(".search-block").toggle();
		if( $('#top-search').hasClass("active") ){
			$('#top-search').removeClass('active');
		}
		else{
			$('#top-search').addClass('active');
		}
		});
// All Products page
        $('.all-products-by-alphabet>.item').click(function() {

            // save $(this) in a variable for efficiency
            var $this = $(this);

            if( $this.hasClass("active") ) return false;

            // hide panels
            $('.all-products-lists .products-list').hide();
            $('.all-products-by-alphabet>.active').removeClass('active');

            $('.all-products-lists .products-list>.products-list-head').addClass('active');

            // add active state to new tab
            $this.addClass('active').blur();

            if( $this.attr('data-link') !== "show-all-categories" ) {
					$('.all-products-lists').show();
                // retrieve href from link (is id of panel to display)
                var panel = $this.attr('data-link');
                // show panel
                $(panel).fadeIn();

            } else {

                $('.all-products-lists .products-list>.products-list-head').removeClass('active');
                $('.all-products-lists .products-list').fadeIn();

            }



        }); // end click
    // END All Products page
});
	(function ($) {
$('#menu_mobile').on('click', function (){
	$('.top-menu-head-mobile').toggle();
	$('#menu_mobile').toggleClass('mobop');
});
	var productSlider = (function () {
		var $this, $body, ezApi;
		var mq768 = window.matchMedia( '(min-width: 768px)' );
		return {
			init() {
				$this = this;

				$( '.slider-for' ).on( 'afterChange init', function () {
					$this.mediaInit(mq768);

				} );

				$( '.slider-for' ).slick( {
					slidesToShow   : 1,
					slidesToScroll : 1,
					arrows         : false,
					fade           : true,
					asNavFor       : '.thumb-list',
					focusOnSelect  : false,
					infinite       : true,
					cssEase        : 'linear'
				} );

				$( '.product-slider .thumb-list' ).slick( {
					slidesToShow   : 4,
					slidesToScroll : 1,
					arrows         : true,
					infinite       : true,
					//autoplay       : true,
					autoplaySpeed  : 2000,
					vertical       : true,
					asNavFor       : '.slider-for',
					centerMode     : false,
					focusOnSelect  : true,
					centerPadding  : 0,
					responsive: [
						{
							breakpoint: 770,
							settings: {
								vertical : false,
								arrows: false
							}
						},
						{
							breakpoint: 320,
							settings: {
								vertical : false,
								arrows: false
							}
						}
					]
				} );


				mq768.addListener( ( b ) => {
						$this.mediaInit(b);
				} );

			},
			mediaInit(b){
				if ( b.matches ) {
					$this.initZoom();
				} else {
					$('.zoomContainer').remove();
				}
			},
			initZoom(){

				ezApi = $( '.slider-for .slick-active' ).ezPlus( {
					zoomWindowFadeIn  : 500,
					zoomWindowFadeOut : 500,
					lensFadeIn        : 500,
					lensFadeOut       : 500
				} ).data( 'ezPlus' );



				console.log( ezApi );
			}
		}
	})();

	productSlider.init();
	})(jQuery);
	
	/* SKU */
	/**
 * Created by sunfun on 05.09.16.
 */
(function ( $ ) {
	'use strict';

	function isURL( str ) {

		var regexp = /(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
		return regexp.test( str );
	}

	$.fn.sku = function ( defaults ) {

		var options = $.extend( {
			item          : '.sku-set',
			sku           : '.item-sku',
			error         : '.sku-warning',
			productSlider : '.slider-for'
		}, defaults );

		var productSlider = $( options.productSlider );

		var th = $( this );

		var setSKU = function () {
			th.on( 'click', options.item, function () {
				if ( $( this ).hasClass( 'disabled' ) )
					return false;

				var pid       = $( this ).data( 'set' ),
					variation = $( this ).data( 'meta' ),
					line      = $( this ).parents( options.sku ),
					skuval    = $( '#check-' + pid + '-' + variation ).val(),
					imgSkuBig = $( this ).children( 'img' ).data( 'img' );
				imgSkuBig     = imgSkuBig ? imgSkuBig : skuval;

				if ( !$( this ).hasClass( 'active, disabled' ) ) {
					line.find( options.item ).removeClass( 'active' );
					line.find( 'dt' ).css( 'color', '' );

					$( this ).addClass( 'active' );
					$( '#set-' + pid ).val( skuval );

					line.find( options.error ).css( 'display', 'none' );
				}

				if ( isURL( imgSkuBig ) ) {

					if ( imgSkuBig.indexOf( '_50x50.jpg' ) > 0 ) {
						imgSkuBig = imgSkuBig.replace( '_50x50.jpg', '' );
					}

					productSlider.slick( 'slickAdd', '<img class="img-responsive" data-zoom-image="' + imgSkuBig + '" src="' + imgSkuBig + '" alt=""/>' );

					productSlider.slick( 'slickGoTo' );

				}
			} );
		};

		return this.each( setSKU );
	};


	$( 'form.form-SingleProduct' ).sku();

	/**
	 * $this is form sku params
	 *
	 * @param $this
	 * @param sticker
	 * @returns {*}
	 */
	function getSku( $this, sticker ) {

		var options = {
				line      : '.item-sku',
				variation : '[name="sku-meta-set[]"]'
			},
			error   = false,
			foo     = [];

		$( '.form-SingleProduct' ).find( options.variation ).each( function () {

			if ( $( this ).val().length == 0 && sticker !== false ) {
				error = true;
			}
			else {
				foo.push( $( this ).val() );
			}

		} );

		if ( error ) return false;

		return { foo : foo }
	}


	var changePriceSku = (function () {
		var $this, skuAttr, sku, currency;

		var obj = {
			price       : '[data-singleProduct="price"]',
			salePrice   : '[data-singleProduct="savePrice"]',
			quantity    : '[data-singleProduct="quantity"]',
			save        : '[data-singleProduct="save"]',
			savePercent : '[data-singleProduct="savePercent"]',

			box : {
				price       : '[data-productPrice="price"]',
				savePercent : '[data-productPrice="savePercent"]',
				quantity    : '[data-productPrice="quantity"]',
			}
		};

		function renderSkuActive() {
			var value = getSku( $( 'form.form-SingleProduct' ), false );
			if ( !value )return false;
			var foo = value.foo;

			$( '.sku-set' ).addClass( 'disabled' );

			$.each( skuAttr, function ( skuAttrName, e ) {
				var sku = skuAttrName.split( ';' );
				$( 'input[value="' + sku[ 0 ] + '"]' ).closest( '.sku-set' ).removeClass( 'disabled' );
				if ( foo[ 0 ] == sku[ 0 ] ) {
					$.each( sku, function ( i ) {
						$( 'input[value="' + sku[ i ] + '"]' ).closest( '.sku-set' ).removeClass( 'disabled' );
					} );

				}
			} );

			$( '.sku-set.disabled.active' ).removeClass( 'active' ).each( function ( i, e ) {
				var idSkuName = $( e ).data( 'set' );
				$( '#set-' + idSkuName ).val( '' );
			} );

		}

		function changeSku() {

			var value                     = getSku( $( this ).parents( 'form' ), false ),
				item = false, skuAttrName = '';
			if ( !value )return false;
			var foo = value.foo;

			for ( var n in foo ) {
				if ( foo.hasOwnProperty( n ) ) {
					skuAttrName += foo[ n ] + ';';
				}
			}

			skuAttrName = skuAttrName.slice( 0, -1 );
			item        = skuAttr[ skuAttrName ];

			//fix delete
			if ( !item ) {
				console.log( 'no sku' );
				return;
			}

		}

		function setSkuPrice( e ) {
			var item = e.item, i;
			console.log( item );
			var price       = item.price,
				salePrice   = item.salePrice,
				quantity    = item.quantity,
				savePercent = item.discount,
				save        = item.save;

//			$( '.form-SingleProduct [name="quantity"]' )
//				.data( 'price', item._salePrice )
//				.data( 'oldprice', item._price )
//				.click();

			$( obj.salePrice ).text( salePrice );
			$( obj.price ).text( price );

			$( obj.save ).text( save );
			$( obj.savePercent ).text( savePercent );

			$( obj.quantity ).text( quantity );

			if ( parseFloat(item._price) > 0 ) {
				$( obj.box.price ).show();
			} else {
				$( obj.box.price ).hide();
			}

			if ( parseFloat(item._price) - parseFloat(item._salePrice) > 0 ) {
				$( obj.box.savePercent ).show();
			} else {
				$( obj.box.savePercent ).hide();
			}

			if ( item.quantity < 15 ) {
				$( obj.box.quantity ).show();
			} else {
				$( obj.box.quantity ).hide();
			}

		}

		return {
			init : function () {
				$this    = this;
				skuAttr  = window.skuAttr;
				sku      = window.sku;
				currency = $( '[name="currency"]' ).val();

				$( 'body' )
					.on( 'click', '.sku-set', changeSku )
					.on( 'click', '.sku-set', renderSkuActive );

				renderSkuActive();
				$( '.sku-set.active' ).click();
			}
		}
	})();

	changePriceSku.init();


})( jQuery );

var tabList = document.getElementById("pixel-tabs") // объект для ul
    tabList.setAttribute("role", "tablist"); // роль для ul
var roles = tabList.getElementsByTagName("*"); // роль для всех li
      for(var li = 0; li < roles.length; li++){
        roles[li].setAttribute("role","presentation");		  			 
      }
var roles = tabList.getElementsByTagName("a"); // роль для всех ссылок в ul
      for(var a = 0; a < roles.length; a++){
        roles[a].setAttribute("role","tab");		  			 
      }  
var oneTab = document.getElementById("one-tab") // объект для первого таба
// атрибуты для первого таба
    oneTab.setAttribute("aria-selected", "true"); 
    oneTab.setAttribute("aria-controls", "content-one");
    oneTab.setAttribute("tabindex", "1");  // для активного таба
var twoTab = document.getElementById("two-tab") // обьект для второго таба
// атрибуты для второго таба
    twoTab.setAttribute("aria-selected", "false"); 
    twoTab.setAttribute("aria-controls", "content-two");
    twoTab.setAttribute("tabindex", "2");  // для не активного таба
var threeTab = document.getElementById("three-tab") // обьект для третьего таба
// атрибуты для Третьего таба
    threeTab.setAttribute("aria-selected", "false"); 
    threeTab.setAttribute("aria-controls", "content-three");
    threeTab.setAttribute("tabindex", "3");  // для не активного таба
var fourTab = document.getElementById("four-tab") // обьект для второго таба
// атрибуты для второго таба
    fourTab.setAttribute("aria-selected", "false"); 
    fourTab.setAttribute("aria-controls", "content-four");
    fourTab.setAttribute("tabindex", "4");  // для не активного таба
var contentTab = document.getElementById("content-region") // объект для блока с содержанием
    contentTab.setAttribute("aria-live", "polite");
    contentTab.setAttribute("role", "region");
var roles = contentTab.getElementsByTagName("div"); // роль и управление для содержания
      for(var d = 0; d < roles.length; d++){
        roles[d].setAttribute("role","tabpanel") || roles[d].setAttribute("tabindex","0");		  			 
      }
var contentOne = document.getElementById("content-one"); // объект для содержания 1
// для показаного содержания   
    contentOne.setAttribute("aria-hidden", "false");
    contentOne.setAttribute("aria-labelledby", "content-one");
var contentTwo = document.getElementById("content-two"); // объект для содержания 2
var contentThree = document.getElementById("content-three"); // объект для содержания 3
var contentFour = document.getElementById("content-four"); // объект для содержания 4
// для скрытого содержания
    contentTwo.setAttribute("aria-hidden", "true"); 
    contentTwo.setAttribute("aria-labelledby", "content-two");
	
	contentThree.setAttribute("aria-hidden", "true"); 
    contentThree.setAttribute("aria-labelledby", "content-three");
	
	contentFour.setAttribute("aria-hidden", "true"); 
    contentFour.setAttribute("aria-labelledby", "content-four");
document.querySelector('#one-tab').onclick = function(){ // если нажат первый таб	
// Табы
    oneTab.setAttribute("aria-selected", "true"); // для нажатого первого таба
    twoTab.setAttribute("aria-selected", "false"); // для не нажатого второго таба
    threeTab.setAttribute("aria-selected", "false");
    fourTab.setAttribute("aria-selected", "false"); 

// Содержание  
    contentOne.setAttribute("aria-hidden", "false"); // для показанного содержания
    contentTwo.setAttribute("aria-hidden", "true"); // для скрытого содержания 	 
    contentThree.setAttribute("aria-hidden", "true"); // для скрытого содержания 	 
    contentFour.setAttribute("aria-hidden", "true"); // для скрытого содержания 	 
return false;
}
document.querySelector('#two-tab').onclick = function(){ // если нажат второй таб
// Табы
    oneTab.setAttribute("aria-selected", "false"); // для не нажатого первого таба
    twoTab.setAttribute("aria-selected", "true"); // для нажатого второго таба
	threeTab.setAttribute("aria-selected", "false");
    fourTab.setAttribute("aria-selected", "false"); 

// Содержание  
    contentOne.setAttribute("aria-hidden", "true"); // для скрытого содержания
    contentTwo.setAttribute("aria-hidden", "false"); // для показанного содержания
    contentThree.setAttribute("aria-hidden", "true"); // для скрытого содержания 	 
    contentFour.setAttribute("aria-hidden", "true"); // для скрытого содержания 	 
return false;
}
document.querySelector('#three-tab').onclick = function(){ // если нажат второй таб
// Табы
    oneTab.setAttribute("aria-selected", "false"); // для не нажатого первого таба
    twoTab.setAttribute("aria-selected", "false"); // для нажатого второго таба
	threeTab.setAttribute("aria-selected", "true");
    fourTab.setAttribute("aria-selected", "false"); 

// Содержание  
    contentOne.setAttribute("aria-hidden", "true"); // для скрытого содержания
    contentTwo.setAttribute("aria-hidden", "true"); // для показанного содержания
    contentThree.setAttribute("aria-hidden", "false"); // для скрытого содержания 	 
    contentFour.setAttribute("aria-hidden", "true"); // для скрытого содержания 	 

return false;
}
document.querySelector('#four-tab').onclick = function(){ // если нажат второй таб
// Табы
    oneTab.setAttribute("aria-selected", "false"); // для не нажатого первого таба
    twoTab.setAttribute("aria-selected", "false"); // для нажатого второго таба
	threeTab.setAttribute("aria-selected", "false");
    fourTab.setAttribute("aria-selected", "true"); 

// Содержание  
    contentOne.setAttribute("aria-hidden", "true"); // для скрытого содержания
    contentTwo.setAttribute("aria-hidden", "true"); // для показанного содержания
    contentThree.setAttribute("aria-hidden", "true"); // для скрытого содержания 	 
    contentFour.setAttribute("aria-hidden", "false"); // для скрытого содержания 	 

return false;
}