
/**
 * Created by sunfun on 03.09.16.
 */
(function ( $ ) {
	'use strict';

	require( 'ez-plus/src/jquery.ez-plus.js' );


	var productSlider = (function () {
		var $this, $body, ezApi;
		var mq768 = window.matchMedia( '(min-width: 768px)' );
		return {
			init() {
				$this = this;

				$( '.slider-for' ).on( 'afterChange init', function () {
					$this.mediaInit(mq768);

				} );

				$( '.slider-for' ).slick( {
					slidesToShow   : 1,
					slidesToScroll : 1,
					arrows         : false,
					fade           : true,
					asNavFor       : '.thumb-list',
					focusOnSelect  : false,
					infinite       : true,
					cssEase        : 'linear'
				} );

				$( '.product-slider .thumb-list' ).slick( {
					slidesToShow   : 6,
					slidesToScroll : 1,
					arrows         : true,
					infinite       : true,
					//autoplay       : true,
					autoplaySpeed  : 2000,
					vertical       : true,
					asNavFor       : '.slider-for',
					centerMode     : false,
					focusOnSelect  : true,
					centerPadding  : 0,
					responsive: [
						{
							breakpoint: 768,
							settings: {
								vertical : false
							}
						},
						{
							breakpoint: 320,
							settings: {
								vertical : false
							}
						}
					]
				} );


				mq768.addListener( ( b ) => {
						$this.mediaInit(b);
				} );

			},
			mediaInit(b){
				if ( b.matches ) {
					$this.initZoom();
				} else {
					$('.zoomContainer').remove();
				}
			},
			initZoom(){

				ezApi = $( '.slider-for .slick-active' ).ezPlus( {
					zoomWindowFadeIn  : 500,
					zoomWindowFadeOut : 500,
					lensFadeIn        : 500,
					lensFadeOut       : 500
				} ).data( 'ezPlus' );



				console.log( ezApi );
			}
		}
	})();

	productSlider.init();


})( jQuery );

/**
 * Прилипание слайдера
 */
(function ( $ ) {
	var a = document.querySelector( '.js-sticky' ), b = null, P = 0;
//	if ( a ) {
//		window.addEventListener( 'scroll', Ascroll, false );
//		document.body.addEventListener( 'scroll', Ascroll, false );
//	}
/*
	function Ascroll() {
		if ( window.outerWidth < 968 ) {
			return;
		}
		if ( b == null ) {
			var Sa = getComputedStyle( a, '' ), s = '';
			for ( var i = 0; i < Sa.length; i++ ) {
				if ( Sa[ i ].indexOf( 'overflow' ) == 0 || Sa[ i ].indexOf( 'padding' ) == 0 || Sa[ i ].indexOf( 'border' ) == 0 || Sa[ i ].indexOf( 'outline' ) == 0 || Sa[ i ].indexOf( 'box-shadow' ) == 0 || Sa[ i ].indexOf( 'background' ) == 0 ) {
					s += Sa[ i ] + ': ' + Sa.getPropertyValue( Sa[ i ] ) + '; '
				}
			}
			b               = document.createElement( 'div' );
			b.style.cssText = s + ' box-sizing: border-box; width: ' + a.offsetWidth + 'px;';
			a.insertBefore( b, a.firstChild );
			var l = a.childNodes.length;
			for ( var i = 1; i < l; i++ ) {
				b.appendChild( a.childNodes[ 1 ] );
			}
			a.style.height  = b.getBoundingClientRect().height + 'px';
			a.style.padding = '0';
			a.style.border  = '0';
		}
		var Ra = a.getBoundingClientRect(),
			R  = Math.round( Ra.top + b.getBoundingClientRect().height - document.querySelector( '.js-sticky-main' ).getBoundingClientRect().bottom );
		if ( (Ra.top - P) <= 0 ) {
			if ( (Ra.top - P) <= R ) {
				b.className = 'stop';
				b.style.top = -R + 'px';
			} else {
				b.className = 'sticky';
				b.style.top = P + 'px';
			}
		} else {
			b.className = '';
			b.style.top = '';
		}
		window.addEventListener( 'resize', function () {
			a.children[ 0 ].style.width = getComputedStyle( a, '' ).width
		}, false );
	}
*/

	/**
	 * скрол к отзывам
	 */

	$( 'body' ).on( 'click', '[data-scroll="feedback-head"]', function () {

		$( '[data-scroll="details"]' ).tab( 'show' );
		var top = $( '#feedback-head' ).offset().top - 100;
		$( 'body,html' ).stop().animate( {
			scrollTop : top
		}, 200 );

	} );

	/**
	 * замена табов на список
	 */
	require( 'bootstrap-tabcollapse' );

	jQuery( '#tabs' ).tabCollapse( {
		tabsClass         : 'hidden-sm hidden-xs',
		accordionClass    : 'visible-sm visible-xs',
		accordionTemplate : function ( heading, groupId, parentId, active ) {
			return '<div class="panel">' +
				'   <div class="panel-heading">' +
				'      <h4 class="panel-title">' +
				'      </h4>' +
				'   </div>' +
				'   <div id="' + groupId + '" class="panel-collapse collapse ' + (active ? 'in' : '') + '">' +
				'       <div class="panel-body js-tabcollapse-panel-body">' +
				'       </div>' +
				'   </div>' +
				'</div>'

		}
	} );


})( jQuery );