/**
 * Created by sunfun on 05.09.16.
 */
/**
 * quantity item btn
 */
jQuery( function ( $ ) {
	var options = {
		el     : '.js-wrap_quantity',
		add    : '[data-quantity="add"]',
		remove : '[data-quantity="remove"]',
		input  : 'input'
	};

	var $body = $( 'body' );
	$body.on( 'click', options.add, function ( e ) {
		e.preventDefault();

		set( 1, this )
	} );

	$body.on( 'click', options.remove, function ( e ) {
		e.preventDefault();
		set( -1, this )
	} );

	function set( change, $this ) {
		var $input = $( $this ).closest( options.el ).find( options.input );
		var v      = $input.val();
		v          = (v = parseInt( v ) + change) > 0 ? v : 1;
		$input.val( v )
			.trigger( 'mouseup' );

	}
} );