<?php
function category_list_show() {

/*	$select = wp_dropdown_categories( array(
		'show_option_all' => __( 'All Categories', 'alpha' ),
		'taxonomy' => 'product_cat',
		'show_count'      => 0,
		'hide_empty'      => 1,
		'echo'            => 0,
		'name'            => 'product_cat',
		'value_field'     => 'slug'
	) );
	$select = preg_replace( "#<select([^>]*)>#", "<select$1 onchange='return this.form.submit()'>", $select );
	$select = preg_replace( '#value=["\']0["\']#', 'value="product"', $select );
	echo $select;*/


	$post_slug=get_query_var('product_cat', 'product');
	$categories = get_categories('taxonomy=product_cat');

	$select = '<select name="product_cat" id="product_cat" class="postform" tabindex="-98">';
	$select.= "<option value='".home_url('product')."'>".__('All Categories', 'alpha')."</option>";

	foreach($categories as $category){
		if($category->count > 0){
			$selected = $category->slug == $post_slug ? 'selected="selected"':'';
			$select.= "<option value='".get_term_link( $category->term_id , "product_cat" )."' ".$selected.">".$category->name."</option>";
		}
	}

	$select.= "</select>";

	echo $select;
}

?>

<div class="list">
	<form action="<?php bloginfo( 'url' ); ?>/" method="get">
		<div>
			<label class=""><?php _e( 'Category', 'alpha' ); ?>:</label>
				<?php category_list_show(); ?>

			<script type="text/javascript">
				var dropdown = document.getElementById("product_cat");
				function onCatChange() {
					console.log( 1 );
					if ( dropdown.options[dropdown.selectedIndex].value != -1 ) {
						location.href = dropdown.options[dropdown.selectedIndex].value;
					}
				}
				dropdown.onchange = onCatChange;
				</script>
		</div>
	</form>

</div>