<?php
global $reviews;
$reviews = new aliFeedBackTM( $post->ID );

$info = new aliProductTM( array(
	'attributes' => true,
	'alimeta'    => true
) );
$info->setData( $post );

global $product;
$product = $info->singleProduct();


$product_redirect_link = "ali-move";

if( isset($product['service']) && $product['service'] == 'amazon' ) {
    $product_redirect_link = "move";
}

function sp( $name ) {
	global $product;
	if ( isset( $product[ $name ] ) ) {
		printf( '%s', $product[ $name ] );
	}

}

?>
<!-- BREADCRUMBS -->
<div class="col-lg-60 bread-block">
	<div class="container">
		<?php adstm_breadcrumbs() ?>
	</div>
</div>

<?php while ( have_posts() ) : the_post(); ?>
<div class="container">
	<div class="col-lg-51">
	<div class="col-lg-60 single-all-block">
		<div class="single-content">
			<div class="col-lg-30">
				<div class="js-sticky">
					<?php mic_theGallery( $product[ 'gallery' ] ) ?>
				</div>
			</div>
			<div class="col-lg-28 col-lg-offset-2">
				<div class="col-lg-60">
					<h1 class="single-title">
						<?php the_title() ?>
					</h1>
				</div>
					<div class="col-lg-58 price-block">
						<div class="col-lg-40">
							<?php if ( file_exists( dirname( __FILE__ ) . '/tpl/_price.php' ) ) {
								include dirname( __FILE__ ) . '/tpl/_price.php';
							} ?>
						</div>
						<div class="col-lg-20">
							<form method="POST">
								<input type="hidden" name="<?php echo $product_redirect_link?>" value="<?php echo $post->ID ?>">
								<button class="single-buy-btn"><?php _e('Buy Now', 'alpha');?></button>
							</form>
						</div>
					</div>
					<div class="col-lg-60 size">
					<form method="POST" id="form_singleProduct" class="form-SingleProduct">
						<input type="hidden" name="currency" value="<?php echo $product[ 'currency' ]; ?>">
						<input type="hidden" name="post_id" value="<?php echo $post->ID ?>">
						<div class="product-meta">
							<table class="meta">
								<?php
								if ( ! empty( $product[ 'sku' ] ) ) {
									mic_showSKU( $product[ 'sku' ], $product[ 'skuAttr' ], get_the_title() );
								}
								?>
							</table>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
	<div class="col-lg-60 buyer-protect hidden-xs hidden-sm hidden-md">
			<div class="bp-horizontal hidden-xs hidden-sm col-sm-58">
				<div class="bp-info col-lg-60">
					<div class="row">
						<div class="col-sm-41">
							<div class="bp-icon-left col-sm-30">
								<span class="icon-protect"></span>
								<h3 class="bp-info__h3">Buyer Protection</h3>
							</div>
							<div class="bp-text-right col-sm-30">
								<ul class="bp-info-list">
									<li class="bp-info-item">
										<strong>Full Refund</strong>
										if you don't receive your order										</li>
									<li class="bp-info-item">
										<strong>Refund or Keep</strong>
										items not as described										</li>
								</ul>
							</div>
						</div>
						<div class="col-sm-19">
							<div class="icon-plane">
								<span class="ic icon-flight"></span>
							</div>
							<div class="bp-text-right plane-block">
								<h3>Free shipping worldwide</h3>
							</div>
						</div>
					</div>
				</div>
			</div>
	</div>
	<div class="product-content col-lg-60">
		<ul role="tablist" id="pixel-tabs">
			<li role="presentation">
				<a tabindex="1" aria-controls="content-one" aria-selected="true" role="tab" href="#content-one" id="one-tab">Products details</a>
				</li>
			<li role="presentation">
				<a tabindex="2" aria-controls="content-two" aria-selected="false" role="tab" href="#content-two" id="two-tab">Reviews</a>
			</li>
			<li role="presentation">
				<a tabindex="3" aria-controls="content-three" aria-selected="false" role="tab" href="#content-three" id="three-tab">Item specifics</a>
			</li>
			<li role="presentation">
				<a tabindex="4" aria-controls="content-four" aria-selected="false" role="tab" href="#content-four" id="four-tab">Shipping and free returns</a>
			</li>
		</ul>
		<div id="content-region" aria-live="polite" role="region" class="col-lg-60">
			<div aria-labelledby="content-one" tabindex="0" aria-hidden="false" role="tabpanel" id="content-one">
				<?php if ( file_exists( dirname( __FILE__ ) . '/tpl/_details.php' ) ) {
					include dirname( __FILE__ ) . '/tpl/_details.php';
				} ?>
			</div>
			<div aria-labelledby="content-two" tabindex="0" aria-hidden="true" role="tabpanel" id="content-two">
				<?php // if ( cz( 'tp_reviews' ) ): ?>
							<?php  comments_template( '/tpl/product/tpl/_review.php' ); ?>
				<?php // endif;?>
				
			</div>
			<div aria-labelledby="content-three" tabindex="0" aria-hidden="true" role="tabpanel" id="content-three">
							<?php if ( file_exists( dirname( __FILE__ ) . '/tpl/_specifics.php' ) ) {
								include dirname( __FILE__ ) . '/tpl/_specifics.php';
							} ?>
			</div>
			<div aria-labelledby="content-four" tabindex="0" aria-hidden="true" role="tabpanel" id="content-four">
				<div class="row packing">
					<div class="col-xs-20 text-right">
						<strong>Unit Type:</strong>&nbsp;
					</div>
					<div class="col-xs-40">&nbsp;lot</div>
				</div>
												<div class="row packing">
					<div class="">Our store ships to more than 200 countries and you can enjoy free shipping on all items sold on demo5.alipartnership.com											<br>Estimated Delivery Time is 7-30 business.
					</div>
					<br>
					<div class="">Note: The delivery time mentioned above does not include order processing time that usually varies from 1 to 3 days.										</div>
					<div class="">Different items have their own processing time, which is what we cannot control. But what we can do is try the best to let you receive your items as soon as possible.										</div>
					<br>
					The following cases should be taken into consideration regarding shipping times:
				</div>
				<div class="row packing">
					<ul style="list-style-type: decimal;">
						<li> Weight and dimensions of a package</li>
						<li> Place of Dispatch</li>
						<li> Destination</li>
						<li> Freight</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	</div>
	<?php endwhile; ?>
		<div class="col-lg-7 col-lg-offset-1 hidden-xs hidden-sm hidden-md">
			<div class="recom col-lg-60">
				Recommended Products
			</div>
			<?php get_template_part( 'tpl/product/tpl/_recently' ) ?>
		</div>
</div>
</div>

<div class="container">
	<div class="col-lg-51">
<div class="col-lg-60 text-center hidden-xs hidden-sm hidden-md for-inform">
	<div class="container">
		<?php // echo cz('tp_inform_single_2');?>
	</div>
</div>
</div>
</div>


