<?php

$args = array(
	'orderby' => 'count',
	'order' => 'DESC' );

$array_cat = array();
$myterms = get_terms('product_cat', $args);
$i = 1;
foreach( $myterms as $key => $term ){
	//if($term->parent != 0){
		if($i <= 6){	
			//echo $term->parent.'<br/>';			
			$array_cat[$i]['id'] = $term->term_id;
			$array_cat[$i]['name'] = $term->name;
			$array_cat[$i]['url'] = get_term_link( $term, 'product_cat' );
		}
		$i++;	
	//}	
}

	function list_cat($id){

		$args = array(
			'post_type'   => 'product', 
			'post_status' => 'publish', 
			'posts_per_page' => 4,
			'_orderby'    => 'ID',
    		'_order'      => 'ASC',

			'tax_query' => array(
				array(
					'taxonomy' => 'product_cat',
					'field'    => 'id',
					'terms'    => $id
				)
			)
		);
										
		$query = new WP_Query( $args );

		if ( $query->have_posts() ){
			while ( $query->have_posts() ){
				$query->the_post();
					echo '<li><a href="'.get_permalink().'">'.srtCut( get_the_title(), 40).'</a></li>';
			}
		} 

		wp_reset_postdata();
	}
?>
<div class="col-lg-60 gray-block">
	<div class="container">
		<h2 class="text-center subtitle"><?php _e('Most Popular Categories', 'alpha')?></h2>
		<div class="<?php if (wp_is_mobile()){echo 'mobile-slide';}?>">
		<?php for($y=1; $y<=6; $y++){
			if ( !empty($array_cat[$y]['name']) ){?>
			<div class="col-lg-20">
				<div class="category-block">
					<div class="category-block-title">
						<span class="ico-cat_<?php echo $y;?>"></span><?php echo $array_cat[$y]['name'] ?>
					</div>
					<ul class="defis">
						<?php list_cat($array_cat[$y]['id']); ?>
					</ul>
					<div class="category-block-more">
						<a href="<?php echo $array_cat[$y]['url'] ?>"><?php _e('More produts >', 'alpha')?></a>
					</div>
				</div>
			</div>
		<?php }}?>
		</div>
		<div class="col-lg-60 text-center">
			<a href="<?php echo get_bloginfo('url').'/product/'; ?>" class="allcat-btn btn"><?php _e('All Categories', 'alpha')?></a>
		</div>
	</div>
</div>