<?php
/**
 * Created by PhpStorm.
 * User: pavel
 * Date: 10.08.2015
 * Time: 16:43
 */
?>

<?php get_header() ?>

<!-- About -->
<div class="page-about">
	<div class="container">
		<div class="row">
			<div class="col-md-60 article">
				<?php if (have_posts()) : while (have_posts()) : the_post() ?>
				<div class="p-heading">
					<div class="p-title"><?php  the_title(); ?></div>
				</div>
				<div class="row">

					<div class="col-md-30 pull-right">
						<img src="<?php echo cz('tp_about_img'); ?>" alt="">
					</div>
					<div class="col-md-30 pull-left">
						<?php echo  cz('tp_about_description'); ?>
						</div>
				</div>
				<?php endwhile; endif; ?>
			</div>

		</div>
	</div>


	<div class="meet-our-team">
		<div class="container">
			<div class="p-heading">
				<div class="p-title"><?php echo cz('tp_about_title'); ?></div>
			</div>
			<div class="row">
				<div class="list">

					<?php
					for ( $i = 1; $i <= 5; $i ++ ) {
						$offset = $i == 4 ? 'col-sm-offset-10 col-md-offset-0' : '';
						$offset = $i == 1 ? 'col-sm-offset-0 col-md-offset-5' : $offset;
						printf( '<div class="col-xs-60 col-sm-20  col-md-10 %4$s">
				<div class="our-team-item">
					<div class="our-team-face">
						<img src="%1$s" alt="" class="img-responsive">			
					</div>
					<div class="name">%2$s</div>
					<div>%3$s</div>
				</div>
			</div>',
							cz( 'tp_mt1_img_' . $i ),
							cz( 'tp_mt1_name_' . $i ),
							cz( 'tp_mt1_cus_' . $i ),
							$offset );
					}
					?>
				</div>

			</div>
		</div>

	</div>

</div>

<?php get_footer() ?>
